#!/bin/bash

# sqp_JogglerInstallers.sh v1.07 (14th June 2012) by Andy Davison
#  Executed by JogglerFeatures applet on sqpOS.

export PATH=$PATH:`dirname $0`

# This one deals with SSH

if [ "$1" == "ssh" ]; then

	if [ "$2" == "install" ]; then
		
		sudo dpkg -i /opt/squeezeplay/config/sqpos/packages/ssh/* &> ~/.squeezeplay/additional.log
		sleep 2
		sudo reboot		
		exit 0
	
	fi

	if [ "$2" == "uninstall" ]; then
	
		sudo dpkg --purge ssh openssh-server
		sleep 2
		sudo reboot		
		exit 0
	
	fi

fi


# This one deals with Logitech Media Server.

if [ "$1" == "lms" ]; then

	if [ "$2" == "help" ]; then
		IP=`sqp_JogglerNetwork.sh ip | awk -F\:\  '{print $2}'`
		echo -n "Logitech Media Server allows you to serve content from this device. After installation, visit http://$IP:9000 with your browser to configure the server software."
		exit 0
	fi


	if [ "$2" == "install" ]; then
		
		sudo apt-get update
		sudo apt-get -y install logitechmediaserver
		sleep 2
		sudo reboot		
		exit 0
	
	fi

	if [ "$2" == "uninstall" ]; then
	
		sudo apt-get -y purge logitechmediaserver
		sudo apt-get -y autoremove
		sudo apt-get clean
		sleep 2
		sudo reboot		
		exit 0
	
	fi

fi